<?php // Do NOT copy this opening PHP tag

/**
 * @author  Brad Dalton
 * @link    https://wpsites.net/?p=114168
*/ 

remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description', 10 );

add_action( 'woocommerce_archive_description', 'modified_woocommerce_taxonomy_archive_description', 10 );

if ( ! function_exists( 'modified_woocommerce_taxonomy_archive_description' ) ) {

	 // Show an archive description on taxonomy archives.

	function modified_woocommerce_taxonomy_archive_description() {
	
		if ( is_product_taxonomy() ) {
		
			$term = get_queried_object();

			if ( $term ) {
				
				$term_description = apply_filters( 'woocommerce_taxonomy_archive_description_raw', $term->description, $term );

				if ( ! empty( $term_description ) ) {
					echo '<div class="term-description">' . wc_format_content( wp_kses_post( $term_description ) ) . '</div>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
				}
			}
		}
	}
}